Skip to content

# Interface: IPodContainer

## Hierarchy

- IPodContainer

## Index

### Properties

- args
- command
- env
- envFrom
- image
- imagePullPolicy
- livenessProbe
- name
- ports
- readinessProbe
- resources
- volumeMounts

## Properties

### `Optional` args

• args? : string[]

Defined in src/renderer/api/endpoints/pods.api.ts:69

### `Optional` command

• command? : string[]

Defined in src/renderer/api/endpoints/pods.api.ts:68

### `Optional` env

• env? : object[]

Defined in src/renderer/api/endpoints/pods.api.ts:85

### `Optional` envFrom

• envFrom? : object[]

Defined in src/renderer/api/endpoints/pods.api.ts:103

### image

• image: string

Defined in src/renderer/api/endpoints/pods.api.ts:67

### imagePullPolicy

• imagePullPolicy: string

Defined in src/renderer/api/endpoints/pods.api.ts:115

### `Optional` livenessProbe

• livenessProbe? : IContainerProbe

Defined in src/renderer/api/endpoints/pods.api.ts:113

### name

• name: string

Defined in src/renderer/api/endpoints/pods.api.ts:66

### ports

• ports: object[]

Defined in src/renderer/api/endpoints/pods.api.ts:70

### `Optional` readinessProbe

• readinessProbe? : IContainerProbe

Defined in src/renderer/api/endpoints/pods.api.ts:114

### `Optional` resources

• resources? : object

Defined in src/renderer/api/endpoints/pods.api.ts:75

#### Type declaration:

- limits(): object

- cpu: string

- memory: string

- requests(): object

- cpu: string

- memory: string

### `Optional` volumeMounts

• volumeMounts? : object[]

Defined in src/renderer/api/endpoints/pods.api.ts:108